#ifndef LIBSARIA_IDLE_H
#define LIBSARIA_IDLE_H

class IdleTask
{
	public:
		IdleTask();
		virtual ~IdleTask() = 0;
		virtual void run_task() = 0;

		void queue();
		void queue_front();
};

namespace libsaria
{
	namespace idle
	{
		int run_task();
	};
};

#endif /* LIBSARIA_IDLE_H */
